<?php

$info = array(
  // Available colors and color labels used in theme.
  'fields' => array(
    'top' => t('Toolbar top'),
    'bottom' => t('Toolbar bottom'),
    'toolbarbtn' => t('Toolbar button background'),
    'toolbarborder' => t('Toolbar button border'),
    'toolbartext' => t('Toolbar Text color'),
    'bg' => t('Main background'),
    'headerbg' => t('Header background'),
    'titleslogan' => t('Title and slogan'),
    'text' => t('Text color'),
    'sidebar' => t('Sidebar top background'),
    'sidebarbottom' => t('Sidebar bottom background'),
    'sidebarborders' => t('Sidebar borders'),
    'sidebartext' => t('Sidebar text'),
    'footer' => t('Footer background'),
    'link' => t('Link color'),
    'linkactive' => t('Link (active)'),
    'linkhover' => t('Link (hover)'),
  ),
  // Pre-defined color schemes.
  'schemes' => array(
    'default' => array(
      'title' => t('Bootstrap (default)'),
      'colors' => array(
        'top' => '#222222',
        'bottom' => '#111111',
        'toolbarbtn' => '#333333',
        'toolbarborder' => '#333333',
        'bg' => '#ffffff',
        'headerbg' => '#003853',
        'sidebar' => '#ffffff',
        'sidebarbottom' => '#e6e6e6',
        'sidebarborders' => '#e3e3e3',
        'sidebartext' => '#3b3b3b',
        'footer' => '#003853',
        'toolbartext' => '#fffeff',
        'titleslogan' => '#fffeff',
        'text' => '#3b3b3b',
        'link' => '#0071B3',
        'linkactive' => '#23aeff',
        'linkhover' => '#018fe2',
      ),
    ),
    'bluelagoon' => array(
      'title' => t('Blue Lagoon'),
      'base' => '#48a9e4',
      'colors' => array(
        'top' => '#0779bf',
        'bottom' => '#48a9e4',
        'toolbarbtn' => '#0879bf',
        'toolbarborder' => '#0879bf',
        'bg' => '#ffffff',
        'headerbg' => '#0d649c',
        'sidebar' => '#ffffff',
        'sidebarbottom' => '#9fcae5',
        'sidebarborders' => '#c6d7e1',
        'sidebartext' => '#3b3b3b',
        'footer' => '#292929',
        'toolbartext' => '#fffeff',
        'titleslogan' => '#fffeff',
        'text' => '#3b3b3b',
        'link' => '#0071B3',
      ),
    ),
    'firehouse' => array(
      'title' => t('Firehouse'),
      'base' => '#d6121f',
      'colors' => array(
        'top' => '#cd2d2d',
        'bottom' => '#cf3535',
        'toolbarbtn' => '#b12525',
        'toolbarborder' => '#b12525',
        'bg' => '#ffffff',
        'sidebar' => '#ffffff',
        'sidebarbottom' => '#ec8484',
        'sidebarborders' => '#e8b5b5',
        'sidebartext' => '#3b3b3b',
        'footer' => '#1f1d1c',
        'toolbartext' => '#fffeff',
        'titleslogan' => '#fffeff',
        'text' => '#3b3b3b',
        'link' => '#d6121f',
      ),
    ),
    'ice' => array(
      'title' => t('Ice'),
      'base' => '#019dbf',
      'colors' => array(
        'top' => '#d0d0d0',
        'bottom' => '#c2c4c5',
        'toolbarbtn' => '#dedede',
        'toolbarborder' => '#dedede',
        'bg' => '#ffffff',
        'headerbg' => '#7999a0',
        'sidebar' => '#ffffff',
        'sidebarbottom' => '#ffffff',
        'sidebarborders' => '#cccccc',
        'sidebartext' => '#4a4a4a',
        'footer' => '#24272c',
        'toolbartext' => '#000000',
        'titleslogan' => '#000000',
        'text' => '#4a4a4a',
        'link' => '#019dbf',
      ),
    ),
    'plum' => array(
      'title' => t('Plum'),
      'base' => '#4c1c58',
      'colors' => array(
        'top' => '#4c1c58',
        'bottom' => '#593662',
        'toolbarbtn' => '#401050',
        'toolbarborder' => '#401050',
        'bg' => '#fffdf7',
        'sidebar' => '#ffffff',
        'sidebarbottom' => '#d4b1dd',
        'sidebarborders' => '#e4d3e9',
        'sidebartext' => '#301313',
        'footer' => '#2c2c28',
        'toolbartext' => '#ffffff',
        'titleslogan' => '#ffffff',
        'text' => '#301313',
        'link' => '#9d408d',
      ),
    ),
    'forest' => array(
      'title' => t('Forest'),
      'base' => '#28870d',
      'colors' => array(
        'top' => '#28870d',
        'bottom' => '#43b329',
        'toolbarbtn' => '#25830c',
        'toolbarborder' => '#25830c',
        'bg' => '#ffffff',
        'sidebar' => '#ffffff',
        'sidebarbottom' => '#b6f4a4',
        'sidebarborders' => '#c5eeba',
        'sidebartext' => '#3b3b3b',
        'footer' => '#1f1d1c',
        'toolbartext' => '#fffeff',
        'titleslogan' => '#fffeff',
        'text' => '#3b3b3b',
        'link' => '#28870d',
      ),
    ),
    'slate' => array(
      'title' => t('Slate'),
      'base' => '#0073b6',
      'colors' => array(
        'top' => '#4a4a4a',
        'bottom' => '#4e4e4e',
        'toolbarbtn' => '#464646',
        'toolbarborder' => '#464646',
        'bg' => '#ffffff',
        'headerbg' => '#000000',
        'sidebar' => '#ffffff',
        'sidebarbottom' => '#e6e6e6',
        'sidebarborders' => '#e3e3e3',
        'sidebartext' => '#3b3b3b',
        'footer' => '#161617',
        'toolbartext' => '#ffffff',
        'titleslogan' => '#ffffff',
        'text' => '#3b3b3b',
        'link' => '#0073b6',
      ),
    ),
  ),

  // Gradient definitions.
  'gradients' => array(
    array(
      // (x, y, width, height).
      'dimension' => array(0, 0, 0, 0),
      // Direction of gradient ('vertical' or 'horizontal').
      'direction' => 'vertical',
      // Keys of colors to use for the gradient.
      'colors' => array('top', 'bottom'),
    ),
  ),

);
